#include <stdint.h>
#define HDC1050_SLAVE_ADDRESS       0x40    // sensor slave address
#define HDC1050_TEMP_REG_ADDR   	0x00    // temp register
#define HDC1050_HUMI_REG_ADDR		0x01	// humi register
#define HDC1050_CONF_REG_ADDR		0x02	// config register

void HDC1050_config(uint8_t conf);
void HDC1050_getTempHumi(void);         	// function prototypes
void HDC1050_requestConversion(void);
